import java.io.*;

public class geometrie {

 	private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
	}

	private	static void	test1() {
		quadrat q=new quadrat(3,4);
		System.out.println(
      "a*b: "+q.getFlaeche() );
		kreis kr=new kreis(4);
		System.out.println(
      "r*r*pi: "+kr.getFlaeche() );

	}

  public static void main(String[] args) {
		test1();
		pause();
  }

}

abstract class GeoObjekt {
  public abstract 
            double getFlaeche();
}

class quadrat extends GeoObjekt {
	public int a;
	public int b;

	public quadrat(int a, int b) {
    System.out.println("in quadrat");
		this.a=a;
		this.b=b;
	}

public double ggetFlaeche() {
	return a*b;
}
}


class kreis extends GeoObjekt{
	public int r;

	public kreis(int r) {
    System.out.println("in kreis");
		this.r=r;
	}

public double getFlaeche() {
	return r*r*Math.PI;
}

}



